Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: Tumbleweed : zypper dup râle ce soir (kpmcore, partitionmanager) (Lu 506 fois) sujet précédent - sujet suivant

Tumbleweed : zypper dup râle ce soir (kpmcore, partitionmanager)

Bonsoir,

Version en cours de TW chez moi : 20220304

Tentative de mise à niveau ce soir et ça va mal :

3 problèmes :
Problème : l'élement kpmcore-lang-3.3.0-2.9.noarch à installer nécessite 'kpmcore = 3.3.0', mais cette condition ne peut pas être remplie
Problème : l'élement libkpmcore7-3.3.0-2.9.i586 à installer nécessite 'libKF5CoreAddons.so.5', mais cette condition ne peut pas être remplie
Problème : l'élement partitionmanager-lang-3.3.1-2.19.noarch à installer nécessite 'partitionmanager = 3.3.1', mais cette condition ne peut pas être remplie

Problème : l'élement kpmcore-lang-3.3.0-2.9.noarch à installer nécessite 'kpmcore = 3.3.0', mais cette condition ne peut pas être remplie
 Solution 1 : Les actions suivantes seront exécutées :
  installer kpmcore-3.3.0-2.9.i586 malgré l'architecture inférieure
  installer libKF5I18n5-5.91.0-1.1.i586 malgré l'architecture inférieure
  installer libKF5WidgetsAddons5-5.91.0-1.1.i586 malgré l'architecture inférieure
  installer libatasmart4-0.19-10.10.i586 malgré l'architecture inférieure
 Solution 2 : désinstallation de kpmcore-lang-3.3.0-2.9.noarch
 Solution 3 : conserver l'élément kpmcore-3.3.0-2.9.x86_64 obsolète
 Solution 4 : casser kpmcore-lang-3.3.0-2.9.noarch en ignorant certaines de ses dépendances

J'ai commencé à répondre en choisissant systématiquement d'installer (pour voir)... et les séquences d'interrogations se poursuivant indéfiniment, j'ai stoppé car je ne maîtrisais rien bien sûr : annulation de la procédure.

Renseignement pris, je ne suis pas le seul à avoir dernièrement rencontré cette difficulté :

https://www.reddit.com/r/openSUSE/comments/t8vcj2/what_is_all_this_complaining_about/

Deux "solutions" douces semblent émerger de la discussion : attendre (la fin de la semaine au moins) ou désinstaller partitionmanager (KDE Partition Manager). J'ai effectivement partitionmanager qui est installé chez moi.

Je vais attendre et si rien de mieux en fin de semaine je désinstallerai partitionmanager (dommage).

Re : Tumbleweed : zypper dup râle ce soir

Répondre #1
C'est bizarre, j'ai la version :
Système d'exploitation : openSUSE Tumbleweed 20220305
Le miroir utilisé est peut-être en retard ?

Re : Tumbleweed : zypper dup râle ce soir

Répondre #2
C'est bizarre, j'ai la version :
Système d'exploitation : openSUSE Tumbleweed 20220305
Le miroir utilisé est peut-être en retard ?
Normal que je sois en 20220304 car pour l'instant je refuse la mise à niveau.
Partitionmanager est-il installé chez toi?

Edit : je viens de voir ce rapport de bug très récent qui semble en relation avec mon problème (kpmcore, partitionmanager)

https://bugzilla.opensuse.org/show_bug.cgi?id=1178848

Je vais attendre et si rien de nouveau d'ici quelques jours je vire partitionmanager (avec ses dépendances dont kpmcore). Là je suis presque certain que la maj passera sans me poser de questions.

Re : Tumbleweed : zypper dup râle ce soir (kpmcore, partitionmanager)

Répondre #3
Il y avait aussi la solution N°3 qui permet  d'installer tout le reste en attendant.

 

Re : Tumbleweed : zypper dup râle ce soir (kpmcore, partitionmanager)

Répondre #4
Salut,

Partitionmanager n'est pas installé chez moi et les mises à jour passent nickel. :)


à plus,
oh!rocks

Re : Tumbleweed : zypper dup râle ce soir (kpmcore, partitionmanager)

Répondre #5
Ah oui j’ai lu trop vite et j’ai pris la version actuelle du système pour celle qui posait problème  ::)
Je ne dois pas avoir ce paquet non plus car pas eu de souci

Re : Tumbleweed : zypper dup râle ce soir (kpmcore, partitionmanager)

Répondre #6
Hello,

Bizarre que vous êtes encore loin, moi je suis sur la version 20220307

Mais PM n'est pas installé chez moi :)

Par contre, le dépôt "Pakman" est invalide depuis deux jours.



Voir l'image en grand

Re : Tumbleweed : zypper dup râle ce soir (kpmcore, partitionmanager)

Répondre #7
Il y avait aussi la solution N°3 qui permet  d'installer tout le reste en attendant.

Solution 3 :

Choisir une des solutions ci-dessus par son numéro ou bien sauter, recommencer ou annuler [1/2/3/4/s/r/a/d/?] (a): 3

Problème : l'élement libkpmcore7-3.3.0-2.9.i586 à installer nécessite 'libKF5CoreAddons.so.5', mais cette condition ne peut pas être remplie
  fournisseurs non installables : libKF5CoreAddons5-5.91.0-1.1.i586[download.opensuse.org-oss]
 Solution 1 : Les actions suivantes seront exécutées :
  installer libKF5CoreAddons5-5.91.0-1.1.i586 malgré l'architecture inférieure
  installer libKF5I18n5-5.91.0-1.1.i586 malgré l'architecture inférieure
  installer libKF5WidgetsAddons5-5.91.0-1.1.i586 malgré l'architecture inférieure
  installer libatasmart4-0.19-10.10.i586 malgré l'architecture inférieure
 Solution 2 : désinstallation de libkpmcore7-3.3.0-2.9.x86_64
 Solution 3 : conserver l'élément libkpmcore7-3.3.0-2.9.x86_64 obsolète
 Solution 4 : casser libkpmcore7-3.3.0-2.9.i586 en ignorant certaines de ses dépendances

Je sens que je vais encore me faire balader sans comprendre toutes les conséquences. Je conserve ma stratégie.

Maintenant partitionmanager ne m'est pas indispensable. Pour l'utilité que j'en ai, principalement de la consultation (occupation des disques, état SMART), quelques commandes peuvent tout à fait le remplacer. À l'origine je voulais voir ce que KDE proposait  dans le genre (il y a GParted que je connaissais et Disques pour Gnome, et KDE tiens?). C'est graphique et c'est joli mais je peux m'en passer. J'attends encore un peu, par curiosité, car le fond du problème a l'air sérieux ou c'est l'idée que je m'en suis fait en survolant le rapport de bug (je n'y comprends pas grand chose mais j'ai l'impression qu'il y a un sacré sac de nœuds à démêler pour les mainteneurs).

Re : Tumbleweed : zypper dup râle ce soir (kpmcore, partitionmanager)

Répondre #8
La suite :

J'ai fini par désinstaller partitionmanager et la mise à niveau de tumbleweed est passée tranquillement comme je le pensais (je suis actuellement en 20220309).

J'ai réinstallé partitionmanager après coup. J'ai eu le droit à une nouvelle version (21.12.3-1.1). Mais le paquet partitionmanager-lang ne suit pas, il reste sur l'ancienne version et il est vain de vouloir l'installer à moins de vouloir revenir à l'ancienne version de partitionmanager, de vouloir accepter de rétrograder plus de 300 paquets, ou autres joyeusetés.

Partitionmanager en anglais donc et une fenêtre d'authentification pour les droits d'administrateur qui a changé (mais un peu capricieuse quand on veut lancer le logiciel une seconde fois).

Avant cette fenêtre ressemblait en gros à ça (comme sur Leap), ce n'est pas très propre :

Et maintenant elle ressemble à ça, c'est mieux (mais elle fait des caprices) :


Bref, partitionmanager n'est toujours pas au mieux et je vais le dégager à nouveau. "Problème" résolu par amputation pour l'instant (si j'y pense je surveillerai le cas à l'avenir).

Re : Tumbleweed : zypper dup râle ce soir (kpmcore, partitionmanager)

Répondre #9
Oui il y a décalage des versions entre les architectures :
S | Name                  | Type   | Version     | Arch         | Repository 
--+-----------------------+--------+-------------+--------------+----------------------
  | partitionmanager      | paquet | 21.12.3-1.1 | x86_64       | Dépôt principal (OSS)
  | partitionmanager      | paquet | 3.3.1-2.19  | i586         | Dépôt principal (OSS)
  | partitionmanager-lang | paquet | 3.3.1-2.19  | noarch       | Dépôt principal (OSS)
j'imagine que c'est pour ça que le paquet de langue n'a pas évolué pour être compatible avec la version x86-64